/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */

package sa.shpi.advanced;

import sa.shpi.advanced.model.Warehouse;
import sa.shpi.advanced.visual.AdvancedMainForm;

/**
 * Main entry point for the warehouse model.
 *
 * @author Kyle
 *
 */
public class AdvancedTool {

    private AdvancedMainForm mainForm;
    private Warehouse warehouse;

    public AdvancedTool() {
        mainForm = new AdvancedMainForm(this);
    }

    public void setWarehouse(Warehouse ware) {
        this.warehouse = ware;
        warehouse.initializefurnlibrary();
    }

    public Warehouse getWarehouse() {
        return warehouse;
    }

    public AdvancedMainForm getForm() {
        return mainForm;
    }

    public void startAdvancedTool() {
        mainForm.getFrame().setVisible(true);
    }
}
