/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum ElectronicSubType {

    COMPUTER(Strings.COMPUTER.toString()), TV(Strings.TV.toString()), LAPTOP(Strings.LAPTOP.toString()),
    CRT_MONITOR(Strings.CRT_MONITOR.toString()), LCD_MONITOR(Strings.LCD_MONITOR.toString()),
    PERIPHERALS(Strings.PERIPHERALS.toString()), PRINTER(Strings.PRINTER.toString()),
    MOBILE_PHONE(Strings.MOBILE_PHONE.toString()), DVD(Strings.DVD.toString()),
    RADIO(Strings.RADIO.toString()), APPLIANCE(Strings.APPLIANCE.toString()),
    TOOL(Strings.TOOL.toString()), DEF_ELEC("*" + Strings.ELECTRONICS.toString() + "*");

    private String displayName;

    private ElectronicSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
