/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum FoodSubType {

    ALCOHOL(Strings.ALCOHOL.toString()), GRAINS(Strings.GRAINS.toString()),
    PRODUCE(Strings.PRODUCE.toString()), MEAT(Strings.MEAT.toString()),
    DAIRY(Strings.DAIRY.toString()), CANNED(Strings.CANNED.toString()),
    DEF_FOOD("*" + Strings.FOOD.toString() + "*");

    private String displayName;

    private FoodSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
