/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum FuelSubType {

    GASOLINE(Strings.GASOLINE.toString()), NAT_GAS(Strings.NAT_GAS.toString()),
    DIESEL(Strings.DIESEL.toString()), BIODIESEL(Strings.BIODIESEL.toString()),
    LPG(Strings.LPG.toString()), BUNKER_CRUDE(Strings.BUNKER_CRUDE.toString()),
    DEF_FUEL("*" + Strings.FUEL.toString() + "*");

    private String displayName;

    private FuelSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
