/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum ShelfSubType {

    POOL_CHEM(Strings.POOL_CHEM.toString()), GASOLINE(Strings.GASOLINE.toString()),
    NAT_GAS(Strings.NAT_GAS.toString()), PAINT(Strings.PAINT.toString()),
    ALCOHOL(Strings.ALCOHOL.toString()), GRAINS(Strings.GRAINS.toString()),
    PRODUCE(Strings.PRODUCE.toString()), MEAT(Strings.MEAT.toString()),
    DAIRY(Strings.DAIRY.toString()), CANNED(Strings.CANNED.toString()),
    STEEL(Strings.STEEL.toString()), ALUMINUM(Strings.ALUMINUM.toString()),
    IRON(Strings.IRON.toString()), COPPER(Strings.COPPER.toString()),
    COMPUTER_PAPER(Strings.COMPUTER_PAPER.toString()), NEWSPAPER(Strings.NEWSPAPER.toString()),
    BATHROOM_PAPER(Strings.BATHROOM_PAPER.toString()), CARDBOARD(Strings.CARDBOARD.toString()),
    SOFT_PRESS(Strings.SOFT_PRESS.toString()), SOFT(Strings.SOFT.toString()),
    HARD_PRESS(Strings.HARD_PRESS.toString()), HARD(Strings.HARD.toString()),
    PLYWOOD_HARD(Strings.PLYWOOD_HARD.toString()), HDF(Strings.HDF.toString()),
    MDF(Strings.MDF.toString()), LEATHER(Strings.LEATHER.toString()), COTTON(Strings.COTTON.toString()),
    CARPET(Strings.CARPET.toString()), POLYESTER(Strings.POLYESTER.toString()),
    WOOL(Strings.WOOL.toString()), VINYL(Strings.VINYL.toString()), COMPUTER(Strings.COMPUTER.toString()),
    TV(Strings.TV.toString()), PLYWOOD_SOFT(Strings.PLYWOOD_SOFT.toString()),
    DIESEL(Strings.DIESEL.toString()), BIODIESEL(Strings.BIODIESEL.toString()),
    LPG(Strings.LPG.toString()), BUNKER_CRUDE(Strings.BUNKER_CRUDE.toString()),
    PVC(Strings.PVC.toString()), PET(Strings.PET.toString()), PS(Strings.PS.toString()),
    HDPE(Strings.HDPE.toString()), LDPE(Strings.LDPE.toString()), PP(Strings.PP.toString()),
    ALLOY(Strings.ALLOY.toString()), DEF_PAPER("*" + Strings.PAPER.toString() + "*"), DEF_METAL("*" + Strings.METAL.toString() + "*"),
    DEF_TEXTILE("*" + Strings.TEXTILE.toString() + "*"), DEF_WOOD("*" + Strings.WOOD.toString() + "*"), DEF_FUEL("*" + Strings.FUEL.toString() + "*"),
    DEF_CHEM("*" + Strings.CHEM.toString() + "*"), DEF_PLASTIC("*" + Strings.PLASTIC.toString() + "*"), DEF_FOOD("*" + Strings.FOOD.toString() + "*"),
    ANTIFREEZE(Strings.ANTIFREEZE.toString()), RODENT(Strings.RODENT.toString()),
    CLEANER(Strings.CLEANER.toString()), LAUNDRY(Strings.LAUNDRY.toString()),
    LAPTOP(Strings.LAPTOP.toString()), CRT_MONITOR(Strings.CRT_MONITOR.toString()),
    LCD_MONITOR(Strings.LCD_MONITOR.toString()), PERIPHERALS(Strings.PERIPHERALS.toString()),
    PRINTER(Strings.PRINTER.toString()), MOBILE_PHONE(Strings.MOBILE_PHONE.toString()),
    DVD(Strings.DVD.toString()), RADIO(Strings.RADIO.toString()), APPLIANCE(Strings.APPLIANCE.toString()),
    TOOL(Strings.TOOL.toString()), DEF_ELEC("*" + Strings.ELECTRONICS.toString() + "*");

    private String displayName;

    private ShelfSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return (displayName);
    }
}
