/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum ShelfType {

    FOOD(Strings.FOOD.toString()), TEXTILE(Strings.TEXTILE.toString()),
    WOOD(Strings.WOOD.toString()), METAL(Strings.METAL.toString()),
    PAPER(Strings.PAPER.toString()), CHEM(Strings.CHEM.toString()),
    ELECTRONICS(Strings.ELECTRONICS.toString()), FUEL(Strings.FUEL.toString()),
    PLASTIC(Strings.PLASTIC.toString());

    private String displayName;

    private ShelfType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
