/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum TextileSubType {

    LEATHER(Strings.LEATHER.toString()), COTTON(Strings.COTTON.toString()),
    CARPET(Strings.CARPET.toString()), POLYESTER(Strings.POLYESTER.toString()),
    WOOL(Strings.WOOL.toString()), VINYL(Strings.VINYL.toString()), DEF_TEXTILE("*" + Strings.TEXTILE.toString() + "*");

    private String displayName;

    private TextileSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
