/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.shelf;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in a warehouse.
 *
 * @author Kyle
 *
 */
public enum WoodSubType {

    SOFT_PRESS(Strings.SOFT_PRESS.toString()), SOFT(Strings.SOFT.toString()),
    HARD_PRESS(Strings.HARD_PRESS.toString()), HARD(Strings.HARD.toString()),
    PLYWOOD_HARD(Strings.PLYWOOD_HARD.toString()), HDF(Strings.HDF.toString()),
    PLYWOOD_SOFT(Strings.PLYWOOD_SOFT.toString()), MDG(Strings.MDF.toString()),
    DEF_WOOD("*" + Strings.WOOD.toString() + "*");
    
    private String displayName;

    private WoodSubType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
