/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.structure;

import sa.shpi.advanced.model.content.*;
import sa.shpi.advanced.model.EmissionsItem;

/**
 * This class wraps a furnishing from the furnishing library and adds a quantity
 * to the item.
 *
 * @author Kyle
 *
 */

public class StructureUsedMaterials {

    private EmissionsItem material;

    public StructureUsedMaterials(EmissionsItem mat) {
        this.material = mat;
    }

    public StructureUsedMaterials() {
        material = new EmissionsItem();
    }

    public EmissionsItem getMaterial() {
        return material;
    }

    public void setMaterial(EmissionsItem mat) {
        this.material = mat;
    }

    @Override
    public String toString() {
        return material.getName();
    }

    public double calculateEmissions(double areaBurned) {
        return areaBurned * material.getMass()
                * material.getEmissionsFactor();
    }
}
