/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.visual;

import javax.swing.JDialog;
import javax.swing.JFrame;

import sa.shpi.advanced.model.EmissionsItem;

/**
 * A base class that allows a selection dialog to add an emissions item to the
 * detail form.
 *
 * @author Kyle
 *
 */
public abstract class EmissionsItemRequesterForm extends JDialog {

    private static final long serialVersionUID = 1L;

    public EmissionsItemRequesterForm(JFrame frame) {
        super(frame);
    }

    public EmissionsItemRequesterForm() {
    }

    public abstract void addEmissionsItem(EmissionsItem eItem);
}
