/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.visual.structure;

import sa.shpi.advanced.model.Strings;
import sa.shpi.advanced.model.structure.MaterialsLibraryRoofing;
import sa.shpi.advanced.visual.EmissionsItemRequesterForm;
import sa.shpi.advanced.visual.LibraryItemChooseForm;

/**
 * Allows a user to choose from the existing list of materials or create a
 * custom material.
 *
 * @author Kyle
 *
 */
public class MaterialChooseForm extends LibraryItemChooseForm {

    public MaterialChooseForm(EmissionsItemRequesterForm requester,
            MaterialsLibraryRoofing materialsLibrary) {
        super(requester, materialsLibrary);
    }

    @Override
    protected String getLibraryType() {
        return Strings.MATERIAL.toString();
    }

}
