/**
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin Revision Authors: Stella Banou, Devin Duarte,
 * Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 */
package sa.shpi.advanced.model;

/**
 * The available options for type of industrial building.
 *
 * @author Kyle
 *
 */
public enum IndustrialType {

    FOOD_IND(Strings.FOOD_IND.toString()), CONST_IND(Strings.CONST_IND.toString()),
    METAL_IND(Strings.METAL_IND.toString()), TEXT_IND(Strings.TEXT_IND.toString()),
    PAPER_IND(Strings.PAPER_IND.toString()), CHEM_IND(Strings.CHEM_IND.toString()),
    PLASTIC_IND(Strings.PLASTIC_IND.toString()), GLASS_IND(Strings.GLASS_IND.toString());

    private final String displayName;

    private IndustrialType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
