/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for raw materials in Construction Industrial.
 *
 * @author Kyle
 *
 */
public enum ConstRawMatType {

    CINDER_BLOCK(Strings.CINDER_BLOCK.toString()), CLAY_BRICK(Strings.CLAY_BRICK.toString()),
    WOOD(Strings.WOOD.toString()), OTHER(Strings.OTHER.toString()),
    CONST("*" + Strings.CONST_IND.toString() + "*");

    private String displayName;

    private ConstRawMatType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
