/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of storage in finished goods room.
 *
 * @author Kyle
 *
 */
public enum FinGoodStorageType {

    SHELF(Strings.SHELF.toString()), STEEL_PALLET(Strings.STEEL_PALLET.toString()),
    WOOD_PALLET(Strings.WOOD_PALLET.toString());

    private String displayName;

    private FinGoodStorageType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
