/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for raw materials in Food Industrial.
 *
 * @author Kyle
 *
 */
public enum FoodRawMatType {

    BEANS(Strings.BEANS.toString()), BEEF(Strings.BEEF.toString()), BUTTER(Strings.BUTTER.toString()),
    CHICKEN(Strings.CHICKEN.toString()), CORN(Strings.CORN.toString()), FISH(Strings.FISH.toString()),
    LAMB(Strings.LAMB.toString()), OATS(Strings.OATS.toString()), PORK(Strings.PORK.toString()),
    POTATOES(Strings.POTATOES.toString()), RICE(Strings.RICE.toString()), SOY(Strings.SOY.toString()),
    SUGARCANE(Strings.SUGARCANE.toString()), TURKEY(Strings.TURKEY.toString()),
    WHEAT(Strings.WHEAT.toString()), OTHER(Strings.OTHER.toString()),
    FOOD("*" + Strings.FOOD_IND.toString() + "*");

    private String displayName;

    private FoodRawMatType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
