/**
 * *****************************************************************************
 * This application has been revised as a part of an Interactive Qualifying
 * Project for Worcester Polytechnic Institute and our sponsor, SHPI Ingenieria.
 *
 * Revision Developer: Kyle Fortin
 *
 * Revision Authors: Stella Banou, Devin Duarte, Kyle Fortin, Taylor Llodra
 *
 * The application is based on work completed by a previous IQP team from WPI.
 *
 * Original Developer: Tyler Stone
 *
 * Original Authors: Alexandra Hardin, Eric Schattschneider, Tyler Stone,
 * Kristina Walker
 * ****************************************************************************
 */
package sa.shpi.advanced.model.content;

import sa.shpi.advanced.model.Strings;

/**
 * The available options for type of room in an industrial building.
 *
 * @author Kyle
 *
 */
public enum RoomType {

    BATHROOM(Strings.BATHROOM.toString()), FIN_GOOD_STORE(Strings.FIN_GOOD_STORE.toString()),
    FUEL_STORE(Strings.FUEL_STORE.toString()), BREAK_ROOM(Strings.BREAK_ROOM.toString()),
    OFFICE(Strings.OFFICE.toString()), PROD_FLOOR(Strings.PROD_FLOOR.toString()),
    RAW_MAT_STORAGE(Strings.RAW_MAT_STORAGE.toString()), CONF_ROOM(Strings.CONF_ROOM.toString());

    private String displayName;

    private RoomType(String displayName) {
        this.displayName = displayName;
    }

    @Override
    public String toString() {
        return displayName;
    }
}
